<krpano version="1.16" onstart="startup();">
	
	<!-- use the Flashplayer BEST quality rendering -->
	<display movequality10="BEST" stillquality10="BEST" />
	
	<!-- no default loading bar -->
	<progress showload="false" showwait="false" />

	<!-- display a Flash or HTML5 logo to visualize which viewer was used -->
	<layer name="flashlogo" url="data/images/flashlogo80.png" align="righttop" x="10" y="10" scale="0.5" enabled="false" keep="true" devices="flash" />
	<layer name="html5logo" url="data/images/html5logo80.png" align="righttop" x="10" y="10" scale="0.5" enabled="false" keep="true" devices="html5" />
	<layer name="webgl"     url="data/images/webgl_logo.png"  align="lefttop"  x="10" y="10" scale="0.5" enabled="false" keep="true" devices="webgl" />
	<layer name="css3d"     url="data/images/css3d_logo.png"  align="lefttop"  x="10" y="10" scale="0.5" enabled="false" keep="true" devices="css3d+!webgl" />

	<!-- define a button style -->
	<style name="button"
		url="%SWFPATH%/plugins/textfield.swf"
		children="false"
		css="text-align:center; color:#FFFFFF; font-family:Arial; font-weight:bold; font-size:10px;"
		vcenter="true"
		backgroundcolor="0x000000" backgroundalpha="0.667" roundedge="10" border="false"
		shadow="0.1" shadowrange="8" shadowcolor="0xFFFFFF"
		/>
		
	<!-- special IE10 button style - the IE10 Browser has performance problems when rendering rounded-edges and shadows - so disable these for IE and add simple borders instead -->
	<style name="button" devices="html5+IE"
		roundedge="0"
		shadow="0"
		border="true" bordercolor="0xFFFFFF"
		/>		


	<!-- Flash/HTML5 logos -->
	<style name="flashonly" enabled="false" alpha="0.7" devices="html5" />
	<style name="html5only" enabled="false" alpha="0.7" devices="flash" />
	<style name="flashonly_logo" url="data/images/flashlogo80.png" align="rightbottom" scale="0.25" x="-5" y="-5" enabled="false" />
	<style name="html5only_logo" url="data/images/html5logo80.png" align="rightbottom" scale="0.25" x="-5" y="-5" enabled="false" />


	<!-- define a simple text style -->
	<style name="text"
		url="%SWFPATH%/plugins/textfield.swf"
		children="false"
		background="false"
		border="false"
		enabled="false"
		/>
		
	

	<!-- add a shadow to the text style, but only for HTML5, the Flash text rendering with shadows doesn't look good -->
	<style name="text" devices="html5"
		textshadow="0.1"
		textshadowrange="4"
		textshadowcolor="0x000000"
		textshadowalpha="1.0"
		/>


	<!-- Desktop|Tablet -->
	
	<krpano devices="desktop|tablet" title="Школа 531" onstart="loadscene(pano-1-H-1)">

	<!-- adjust the examples backbutton position (if available), the wait(0) in the onstart action allows executing this event -->
	<events name="backbutton_adjust" onxmlcomplete="if(layer[backbutton], set(layer[backbutton].y,190));" />
	

	<include url="data/school/skin/vtourskin.xml" />

	<!-- set skin settings: bingmaps? gyro? -->
	<skin_settings bingmaps="false"
	               bingmaps_key=""
	               bingmaps_zoombuttons="false"
	               gyro="true"
	               thumbs_width="120" thumbs_height="80" thumbs_padding="10" thumbs_crop=""
	               thumbs_opened="false"
	               thumbs_text="true"
	               thumbs_dragging="true"
	               thumbs_onhoverscrolling="false"
	               thumbs_scrollbuttons="true"
	               thumbs_scrollindicator="false"
	               tooltips_thumbs="false"
	               tooltips_hotspots="false"
	               tooltips_mapspots="false"
	               controlbar_offset="20"
	               />

	<!-- hotspot style WHITE -->
	<style name="hotspot"
	       url="data/school/skin/hotspot.png"
	       crop="0|0|64|64"
	       framewidth="64" frameheight="64" frame="0" lastframe="19"
	       onloaded="hotspot_animate();"
	       />
	<!-- hotspot animation action -->
	<action name="hotspot_animate">
		inc(frame,1,get(lastframe),0);
		mul(ypos,frame,frameheight);
		txtadd(crop,'0|',get(ypos),'|',get(framewidth),'|',get(frameheight));
		delayedcall(0.03, if(loaded, hotspot_animate() ) );
	</action>
	
	<!-- 1-H-1 -->
	
	<include url="data/school/xml/1-H-1.xml" />
	
	<!-- 1-H-2 -->
	
	<include url="data/school/xml/1-H-2.xml" />
	
	<!-- 1-H-3 -->
	
	<include url="data/school/xml/1-H-3.xml" />
	
	<!-- 1-H-4 -->
	
	<include url="data/school/xml/1-H-4.xml" />
	
	<!-- 1-L-1 -->
	
	<include url="data/school/xml/1-L-1.xml" />
	
	</krpano>


	<!-- Mobile -->
	<krpano devices="mobile" title="Школа 531" onstart="loadscene(pano-1-H-1)">

		<!-- adjust the examples backbutton position (if available), the wait(0) in the onstart action allows executing this event -->
	<events name="backbutton_adjust" onxmlcomplete="if(layer[backbutton], set(layer[backbutton].y,190));" />
	

	<include url="data/school/skin/vtourskin.xml" />

	<!-- set skin settings: bingmaps? gyro? -->
	<skin_settings bingmaps="false"
	               bingmaps_key=""
	               bingmaps_zoombuttons="false"
	               gyro="true"
	               thumbs_width="120" thumbs_height="80" thumbs_padding="10" thumbs_crop=""
	               thumbs_opened="false"
	               thumbs_text="true"
	               thumbs_dragging="true"
	               thumbs_onhoverscrolling="false"
	               thumbs_scrollbuttons="true"
	               thumbs_scrollindicator="false"
	               tooltips_thumbs="false"
	               tooltips_hotspots="false"
	               tooltips_mapspots="false"
	               controlbar_offset="20"
	               />


		<!-- hotspot style WHITE -->
	<style name="hotspot"
	       url="data/school/skin/hotspot.png"
	       crop="0|0|64|64"
	       framewidth="64" frameheight="64" frame="0" lastframe="19"
	       onloaded="hotspot_animate();"
	       />
	<!-- hotspot animation action -->
	<action name="hotspot_animate">
		inc(frame,1,get(lastframe),0);
		mul(ypos,frame,frameheight);
		txtadd(crop,'0|',get(ypos),'|',get(framewidth),'|',get(frameheight));
		delayedcall(0.03, if(loaded, hotspot_animate() ) );
	</action>
	
	<!-- 1-H-1 -->
	
	<include url="data/school/xml/1-H-1.xml" />
	
	<!-- 1-H-2 -->
	
	<include url="data/school/xml/1-H-2.xml" />
	
	<!-- 1-H-3 -->
	
	<include url="data/school/xml/1-H-3.xml" />
	
	<!-- 1-H-4 -->
	
	<include url="data/school/xml/1-H-4.xml" />
			
	<!-- 1-L-1 -->
	
	<include url="data/school/xml/1-L-1.xml" />
	
	</krpano>
</krpano>
